import{s as et,n as rt,o as at}from"../chunks/scheduler.b108d059.js";import{S as lt,i as nt,g as d,s as l,r as D,A as dt,h as o,f as r,c as n,j as Z,u as U,x as i,k as tt,y as ot,a,v as X,d as V,t as q,w as z}from"../chunks/index.008de539.js";import{H as N}from"../chunks/Heading.88bfeb84.js";function st(G){let s,$,x,_,p,C,h,B,f,O=`Text Embeddings Inference currently supports BERT, CamemBERT, and XLM-RoBERTa models with absolute positions.
We are continually expanding our support for other model types and plan to include them in future updates.`,M,m,j="Below are some examples of the currently supported models:",P,u,F='<thead><tr><th>MTEB Rank</th> <th>Model Type</th> <th>Model ID</th></tr></thead> <tbody><tr><td>1</td> <td>Bert</td> <td><a href="https://hf.co/BAAI/bge-large-en-v1.5" rel="nofollow">BAAI/bge-large-en-v1.5</a></td></tr> <tr><td>2</td> <td></td> <td><a href="https://hf.co/BAAI/bge-base-en-v1.5" rel="nofollow">BAAI/bge-base-en-v1.5</a></td></tr> <tr><td>3</td> <td></td> <td><a href="https://hf.co/llmrails/ember-v1" rel="nofollow">llmrails/ember-v1</a></td></tr> <tr><td>4</td> <td></td> <td><a href="https://hf.co/thenlper/gte-large" rel="nofollow">thenlper/gte-large</a></td></tr> <tr><td>5</td> <td></td> <td><a href="https://hf.co/thenlper/gte-base" rel="nofollow">thenlper/gte-base</a></td></tr> <tr><td>6</td> <td></td> <td><a href="https://hf.co/intfloat/e5-large-v2" rel="nofollow">intfloat/e5-large-v2</a></td></tr> <tr><td>7</td> <td></td> <td><a href="https://hf.co/BAAI/bge-small-en-v1.5" rel="nofollow">BAAI/bge-small-en-v1.5</a></td></tr> <tr><td>10</td> <td></td> <td><a href="https://hf.co/intfloat/e5-base-v2" rel="nofollow">intfloat/e5-base-v2</a></td></tr> <tr><td>11</td> <td>XLM-RoBERTa</td> <td><a href="https://hf.co/intfloat/multilingual-e5-large" rel="nofollow">intfloat/multilingual-e5-large</a></td></tr></tbody>',y,c,W=`To explore the list of best performing text embeddings models, visit the
<a href="https://huggingface.co/spaces/mteb/leaderboard" rel="nofollow">Massive Text Embedding Benchmark (MTEB) Leaderboard</a>.`,E,g,L,b,J=`Text Embeddings Inference supports can be used on CPU, Turing (T4, RTX 2000 series, …), Ampere 80 (A100, A30),
Ampere 86 (A10, A40, …), Ada Lovelace (RTX 4000 series, …), and Hopper (H100) architectures.`,H,v,K=`The library does <strong>not</strong> support CUDA compute capabilities &lt; 7.5, which means V100, Titan V, GTX 1000 series, etc. are not supported.
To leverage your GPUs, make sure to install the
<a href="https://docs.nvidia.com/datacenter/cloud-native/container-toolkit/install-guide.html" rel="nofollow">NVIDIA Container Toolkit</a>, and use
NVIDIA drivers with CUDA version 12.2 or higher.`,I,T,Q="Find the appropriate Docker image for your hardware in the following table:",R,w,Y="<thead><tr><th>Architecture</th> <th>Image</th></tr></thead> <tbody><tr><td>CPU</td> <td>ghcr.io/huggingface/text-embeddings-inference:cpu-0.2.2</td></tr> <tr><td>Volta</td> <td>NOT SUPPORTED</td></tr> <tr><td>Turing (T4, RTX 2000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:turing-0.2.2</td></tr> <tr><td>Ampere 80 (A100, A30)</td> <td>ghcr.io/huggingface/text-embeddings-inference:0.2.2</td></tr> <tr><td>Ampere 86 (A10, A40, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:86-0.2.2</td></tr> <tr><td>Ada Lovelace (RTX 4000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:89-0.2.2</td></tr> <tr><td>Hopper (H100)</td> <td>ghcr.io/huggingface/text-embeddings-inference:hopper-0.2.2</td></tr></tbody>",S,A,k;return p=new N({props:{title:"Supported models and hardware",local:"supported-models-and-hardware",headingTag:"h1"}}),h=new N({props:{title:"Supported models",local:"supported-models",headingTag:"h2"}}),g=new N({props:{title:"Supported hardware",local:"supported-hardware",headingTag:"h2"}}),{c(){s=d("meta"),$=l(),x=d("p"),_=l(),D(p.$$.fragment),C=l(),D(h.$$.fragment),B=l(),f=d("p"),f.textContent=O,M=l(),m=d("p"),m.textContent=j,P=l(),u=d("table"),u.innerHTML=F,y=l(),c=d("p"),c.innerHTML=W,E=l(),D(g.$$.fragment),L=l(),b=d("p"),b.textContent=J,H=l(),v=d("p"),v.innerHTML=K,I=l(),T=d("p"),T.textContent=Q,R=l(),w=d("table"),w.innerHTML=Y,S=l(),A=d("p"),this.h()},l(t){const e=dt("svelte-u9bgzb",document.head);s=o(e,"META",{name:!0,content:!0}),e.forEach(r),$=n(t),x=o(t,"P",{}),Z(x).forEach(r),_=n(t),U(p.$$.fragment,t),C=n(t),U(h.$$.fragment,t),B=n(t),f=o(t,"P",{"data-svelte-h":!0}),i(f)!=="svelte-vb8qn"&&(f.textContent=O),M=n(t),m=o(t,"P",{"data-svelte-h":!0}),i(m)!=="svelte-vskdni"&&(m.textContent=j),P=n(t),u=o(t,"TABLE",{"data-svelte-h":!0}),i(u)!=="svelte-qarurv"&&(u.innerHTML=F),y=n(t),c=o(t,"P",{"data-svelte-h":!0}),i(c)!=="svelte-1fz6qfa"&&(c.innerHTML=W),E=n(t),U(g.$$.fragment,t),L=n(t),b=o(t,"P",{"data-svelte-h":!0}),i(b)!=="svelte-1hzwifd"&&(b.textContent=J),H=n(t),v=o(t,"P",{"data-svelte-h":!0}),i(v)!=="svelte-gw6034"&&(v.innerHTML=K),I=n(t),T=o(t,"P",{"data-svelte-h":!0}),i(T)!=="svelte-16dfo8x"&&(T.textContent=Q),R=n(t),w=o(t,"TABLE",{"data-svelte-h":!0}),i(w)!=="svelte-12s0wxl"&&(w.innerHTML=Y),S=n(t),A=o(t,"P",{}),Z(A).forEach(r),this.h()},h(){tt(s,"name","hf:doc:metadata"),tt(s,"content",it)},m(t,e){ot(document.head,s),a(t,$,e),a(t,x,e),a(t,_,e),X(p,t,e),a(t,C,e),X(h,t,e),a(t,B,e),a(t,f,e),a(t,M,e),a(t,m,e),a(t,P,e),a(t,u,e),a(t,y,e),a(t,c,e),a(t,E,e),X(g,t,e),a(t,L,e),a(t,b,e),a(t,H,e),a(t,v,e),a(t,I,e),a(t,T,e),a(t,R,e),a(t,w,e),a(t,S,e),a(t,A,e),k=!0},p:rt,i(t){k||(V(p.$$.fragment,t),V(h.$$.fragment,t),V(g.$$.fragment,t),k=!0)},o(t){q(p.$$.fragment,t),q(h.$$.fragment,t),q(g.$$.fragment,t),k=!1},d(t){t&&(r($),r(x),r(_),r(C),r(B),r(f),r(M),r(m),r(P),r(u),r(y),r(c),r(E),r(L),r(b),r(H),r(v),r(I),r(T),r(R),r(w),r(S),r(A)),r(s),z(p,t),z(h,t),z(g,t)}}}const it='{"title":"Supported models and hardware","local":"supported-models-and-hardware","sections":[{"title":"Supported models","local":"supported-models","sections":[],"depth":2},{"title":"Supported hardware","local":"supported-hardware","sections":[],"depth":2}],"depth":1}';function pt(G){return at(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ut extends lt{constructor(s){super(),nt(this,s,pt,st,et,{})}}export{ut as component};
